package com.neusoft.smart.pos.user.persistent.mapper;

import com.neusoft.smart.pos.user.persistent.domain.PermissionGroupPermissionExample;
import com.neusoft.smart.pos.user.persistent.domain.PermissionGroupPermissionKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PermissionGroupPermissionMapper {
    int countByExample(PermissionGroupPermissionExample example);

    int deleteByExample(PermissionGroupPermissionExample example);

    int deleteByPrimaryKey(PermissionGroupPermissionKey key);

    int insert(PermissionGroupPermissionKey record);

    int insertSelective(PermissionGroupPermissionKey record);

    List<PermissionGroupPermissionKey> selectByExample(PermissionGroupPermissionExample example);

    int updateByExampleSelective(@Param("record") PermissionGroupPermissionKey record, @Param("example") PermissionGroupPermissionExample example);

    int updateByExample(@Param("record") PermissionGroupPermissionKey record, @Param("example") PermissionGroupPermissionExample example);
}